From 481a136670dbbb79f9fe8cac367a4e8962268864 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sun, 17 Mar 2024 16:44:27 +0800
Subject: [PATCH] Fix for missing _exposure_ramp etc.

diff --git plugins/dcp/dcp.c plugins/dcp/dcp.c
index 9fabc1e4..fef4b1bf 100644
--- plugins/dcp/dcp.c
+++ plugins/dcp/dcp.c
@@ -693,7 +693,7 @@ neutral_to_xy(RSDcp *dcp, const RS_VECTOR3 *neutral)
 	return last;
 }
 
-inline void
+static inline void
 RGBtoHSV(gfloat r, gfloat g, gfloat b, gfloat *h, gfloat *s, gfloat *v)
 {
 	*v = MAX(r, MAX (g, b));
@@ -723,7 +723,7 @@ RGBtoHSV(gfloat r, gfloat g, gfloat b, gfloat *h, gfloat *s, gfloat *v)
 	}
 }
 
-inline gfloat
+static inline gfloat
 exposure_ramp (RSDcp *dcp, gfloat x)
 {
 	if (x <= dcp->exposure_black - dcp->exposure_radius)
@@ -738,7 +738,7 @@ exposure_ramp (RSDcp *dcp, gfloat x)
 }
 
 
-inline void
+static inline void
 HSVtoRGB(gfloat h, gfloat s, gfloat v, gfloat *r, gfloat *g, gfloat *b)
 {
 	if (s > 0.0f)
diff --git plugins/demosaic/demosaic.c plugins/demosaic/demosaic.c
index 9b5ffa66..46ea6eb5 100644
--- plugins/demosaic/demosaic.c
+++ plugins/demosaic/demosaic.c
@@ -416,7 +416,7 @@ expand_cfa_data(const ThreadInfo* t) {
 /*
    Patterned Pixel Grouping Interpolation by Alain Desbiolles
 */
-inline guint clampbits16(gint x) { guint32 _y_temp; if( (_y_temp=x>>16) ) x = ~_y_temp >> 16; return x;}
+static inline guint clampbits16(gint x) { guint32 _y_temp; if( (_y_temp=x>>16) ) x = ~_y_temp >> 16; return x;}
 
 #define CLIP(x) clampbits16(x)
 #define ULIM(x,y,z) ((y) < (z) ? CLAMP(x,y,z) : CLAMP(x,z,y))
